<?php
/**
 * The all avaliabe actions in ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     group
 * @version     $Id$
 * @link        http://www.zdoo.com
 */

/* App module group. */
$lang->appModule = new stdclass();

/* CRM */
$lang->appModule->crm = array();
$lang->appModule->crm[] = 'order';
$lang->appModule->crm[] = 'contract';
$lang->appModule->crm[] = 'purchasecontract';
$lang->appModule->crm[] = 'customer';
$lang->appModule->crm[] = 'provider';
$lang->appModule->crm[] = 'contact';
$lang->appModule->crm[] = 'leads';
$lang->appModule->crm[] = 'product';
$lang->appModule->crm[] = 'address';
$lang->appModule->crm[] = 'resume';
$lang->appModule->crm[] = 'sales';

$lang->moduleOrder[0]  = 'order';
$lang->moduleOrder[5]  = 'contract';
$lang->moduleOrder[7]  = 'purchasecontract';
$lang->moduleOrder[10] = 'customer';
$lang->moduleOrder[15] = 'provider';
$lang->moduleOrder[20] = 'contact';
$lang->moduleOrder[25] = 'leads';
$lang->moduleOrder[30] = 'product';
$lang->moduleOrder[35] = 'address';
$lang->moduleOrder[40] = 'resume';
$lang->moduleOrder[45] = 'sales';

/* OA */
$lang->appModule->oa = array();
$lang->appModule->oa[] = 'announce';
$lang->appModule->oa[] = 'attend';
$lang->appModule->oa[] = 'attendgroup';
$lang->appModule->oa[] = 'annual';
$lang->appModule->oa[] = 'conversion';
$lang->appModule->oa[] = 'leave';
$lang->appModule->oa[] = 'makeup';
$lang->appModule->oa[] = 'overtime';
$lang->appModule->oa[] = 'lieu';
$lang->appModule->oa[] = 'trip';
$lang->appModule->oa[] = 'egress';
$lang->appModule->oa[] = 'refund';
$lang->appModule->oa[] = 'holiday';

$lang->moduleOrder[100] = 'announce';
$lang->moduleOrder[105] = 'attend';
$lang->moduleOrder[106] = 'attendgroup';
$lang->moduleOrder[107] = 'annual';
$lang->moduleOrder[110] = 'conversion';
$lang->moduleOrder[115] = 'leave';
$lang->moduleOrder[120] = 'makeup';
$lang->moduleOrder[125] = 'overtime';
$lang->moduleOrder[130] = 'lieu';
$lang->moduleOrder[135] = 'trip';
$lang->moduleOrder[140] = 'egress';
$lang->moduleOrder[145] = 'refund';
$lang->moduleOrder[150] = 'holiday';

/* PROJ */
$lang->appModule->proj = array();
$lang->appModule->proj[] = 'task';
$lang->appModule->proj[] = 'kanban';

$lang->moduleOrder[200] = 'task';

/* DOC */
$lang->appModule->doc = array();
$lang->appModule->doc[] = 'doc';

$lang->moduleOrder[300] = 'doc';

/* CASH */
$lang->appModule->cash = array();
$lang->appModule->cash[] = 'trade';
$lang->appModule->cash[] = 'depositor';
$lang->appModule->cash[] = 'balance';
$lang->appModule->cash[] = 'provider';
$lang->appModule->cash[] = 'schema';

$lang->moduleOrder[400] = 'trade';
$lang->moduleOrder[405] = 'depositor';
$lang->moduleOrder[410] = 'balance';
$lang->moduleOrder[415] = 'provider';
$lang->moduleOrder[420] = 'schema';

/* TEAM */
$lang->appModule->team = array();
$lang->appModule->team[] = 'forum';
$lang->appModule->team[] = 'thread';
$lang->appModule->team[] = 'blog';
$lang->appModule->team[] = 'user';
$lang->appModule->team[] = 'company';

$lang->moduleOrder[500] = 'forum';
$lang->moduleOrder[505] = 'thread';
$lang->moduleOrder[510] = 'blog';
$lang->moduleOrder[515] = 'user';
$lang->moduleOrder[520] = 'company';

/* WELFARE */
$lang->appModule->welfare = array();
$lang->appModule->welfare[] = 'score';
$lang->appModule->welfare[] = 'gift';
$lang->appModule->welfare[] = 'exchange';

$lang->moduleOrder[525] = 'score';
$lang->moduleOrder[530] = 'gift';
$lang->moduleOrder[535] = 'exchange';

/* SUPERADMIN */
$lang->appModule->superadmin = array();
$lang->appModule->superadmin[] = 'company';
$lang->appModule->superadmin[] = 'adminUser';
$lang->appModule->superadmin[] = 'cron';

$lang->moduleOrder[9800] = 'company';
$lang->moduleOrder[9805] = 'adminUser';
$lang->moduleOrder[9810] = 'cron';

/* SYSTEM */
$lang->appModule->sys = array();
$lang->appModule->sys[] = 'tree';
$lang->appModule->sys[] = 'setting';
$lang->appModule->sys[] = 'report';
$lang->appModule->sys[] = 'my';
$lang->appModule->sys[] = 'file';
$lang->appModule->sys[] = 'action';

$lang->moduleOrder[9900] = 'tree';
$lang->moduleOrder[9905] = 'setting';
$lang->moduleOrder[9910] = 'report';
$lang->moduleOrder[9915] = 'my';
$lang->moduleOrder[9920] = 'file';
$lang->moduleOrder[9925] = 'action';

foreach($lang->appModule as $app => $modules)
{
    foreach($modules as $module)
    {
        if(!isset($lang->$module)) $lang->$module = new stdclass();
    }
}

$lang->resource = new stdclass();

/* Order module. */
$lang->resource->order = new stdclass();
$lang->resource->order->browse      = 'browse';
$lang->resource->order->create      = 'create';
$lang->resource->order->edit        = 'edit';
$lang->resource->order->view        = 'view';
$lang->resource->order->close       = 'close';
$lang->resource->order->activate    = 'activate';
$lang->resource->order->contact     = 'contact';
$lang->resource->order->assign      = 'assign';
$lang->resource->order->batchAssign = 'batchAssign';
$lang->resource->order->export      = 'export';
$lang->resource->order->delete      = 'delete';

$lang->order->methodOrder[5]  = 'browse';
$lang->order->methodOrder[10] = 'create';
$lang->order->methodOrder[15] = 'edit';
$lang->order->methodOrder[20] = 'view';
$lang->order->methodOrder[25] = 'close';
$lang->order->methodOrder[30] = 'activate';
$lang->order->methodOrder[40] = 'contact';
$lang->order->methodOrder[45] = 'assign';
$lang->order->methodOrder[50] = 'batchAssign';
$lang->order->methodOrder[55] = 'export';
$lang->order->methodOrder[60] = 'delete';

/* Contract. */
$lang->resource->contract = new stdclass();
$lang->resource->contract->browse         = 'browse';
$lang->resource->contract->create         = 'create';
$lang->resource->contract->edit           = 'edit';
$lang->resource->contract->view           = 'view';
$lang->resource->contract->cancel         = 'cancel';
$lang->resource->contract->finish         = 'finish';
$lang->resource->contract->delete         = 'delete';
$lang->resource->contract->delivery       = 'delivery';
$lang->resource->contract->editDelivery   = 'editDelivery';
$lang->resource->contract->deleteDelivery = 'deleteDelivery';
$lang->resource->contract->receive        = 'receive';
$lang->resource->contract->editReturn     = 'editReturn';
$lang->resource->contract->deleteReturn   = 'deleteReturn';
$lang->resource->contract->export         = 'export';
$lang->resource->contract->manageTeam     = 'manageTeam';
$lang->resource->contract->confirmTeam    = 'confirmTeam';
$lang->resource->contract->report         = 'report';

$lang->contract->methodOrder[5]  = 'browse';
$lang->contract->methodOrder[10] = 'create';
$lang->contract->methodOrder[15] = 'edit';
$lang->contract->methodOrder[20] = 'view';
$lang->contract->methodOrder[25] = 'cancel';
$lang->contract->methodOrder[30] = 'finish';
$lang->contract->methodOrder[35] = 'delete';
$lang->contract->methodOrder[40] = 'delivery';
$lang->contract->methodOrder[45] = 'editDelivery';
$lang->contract->methodOrder[50] = 'deleteDelivery';
$lang->contract->methodOrder[55] = 'receive';
$lang->contract->methodOrder[60] = 'editReturn';
$lang->contract->methodOrder[65] = 'deleteReturn';
$lang->contract->methodOrder[70] = 'export';
$lang->contract->methodOrder[75] = 'manageTeam';
$lang->contract->methodOrder[80] = 'confirmTeam';
$lang->contract->methodOrder[85] = 'report';

/* Purchase Contract. */
$lang->resource->purchasecontract = new stdclass();
$lang->resource->purchasecontract->browse         = 'browse';
$lang->resource->purchasecontract->create         = 'create';
$lang->resource->purchasecontract->edit           = 'edit';
$lang->resource->purchasecontract->view           = 'view';
$lang->resource->purchasecontract->cancel         = 'cancel';
$lang->resource->purchasecontract->finish         = 'finish';
$lang->resource->purchasecontract->delete         = 'delete';
$lang->resource->purchasecontract->pay            = 'pay';
$lang->resource->purchasecontract->editReturn     = 'editReturn';
$lang->resource->purchasecontract->deleteReturn   = 'deleteReturn';
$lang->resource->purchasecontract->export         = 'export';

$lang->purchasecontract->methodOrder[5]  = 'browse';
$lang->purchasecontract->methodOrder[10] = 'create';
$lang->purchasecontract->methodOrder[15] = 'edit';
$lang->purchasecontract->methodOrder[20] = 'view';
$lang->purchasecontract->methodOrder[25] = 'cancel';
$lang->purchasecontract->methodOrder[30] = 'finish';
$lang->purchasecontract->methodOrder[35] = 'delete';
$lang->purchasecontract->methodOrder[55] = 'pay';
$lang->purchasecontract->methodOrder[60] = 'editReturn';
$lang->purchasecontract->methodOrder[65] = 'deleteReturn';
$lang->purchasecontract->methodOrder[70] = 'export';

/* Customer. */
$lang->resource->customer = new stdclass();
$lang->resource->customer->browse         = 'browse';
$lang->resource->customer->followedBy     = 'followedBy';
$lang->resource->customer->create         = 'create';
$lang->resource->customer->edit           = 'edit';
$lang->resource->customer->view           = 'view';
$lang->resource->customer->assign         = 'assign';
$lang->resource->customer->order          = 'order';
$lang->resource->customer->contact        = 'contact';
$lang->resource->customer->linkContact    = 'linkContact';
$lang->resource->customer->contract       = 'contract';
$lang->resource->customer->export         = 'export';
$lang->resource->customer->delete         = 'delete';
$lang->resource->customer->batchAssign    = 'batchAssign';
$lang->resource->customer->merge          = 'merge';

$lang->customer->methodOrder[5]  = 'browse';
$lang->customer->methodOrder[10] = 'followedBy';
$lang->customer->methodOrder[15] = 'create';
$lang->customer->methodOrder[20] = 'edit';
$lang->customer->methodOrder[25] = 'view';
$lang->customer->methodOrder[30] = 'order';
$lang->customer->methodOrder[35] = 'contact';
$lang->customer->methodOrder[40] = 'linkContact';
$lang->customer->methodOrder[45] = 'contract';
$lang->customer->methodOrder[50] = 'export';
$lang->customer->methodOrder[55] = 'delete';
$lang->customer->methodOrder[60] = 'assign';
$lang->customer->methodOrder[65] = 'batchAssign';
$lang->customer->methodOrder[70] = 'merge';

/* Contact. */
$lang->resource->contact = new stdclass();
$lang->resource->contact->browse         = 'browse';
$lang->resource->contact->create         = 'create';
$lang->resource->contact->edit           = 'edit';
$lang->resource->contact->view           = 'view';
$lang->resource->contact->export         = 'export';
$lang->resource->contact->delete         = 'delete';
$lang->resource->contact->vcard          = 'vcard';
$lang->resource->contact->exportTemplate = 'exportTemplate';

$lang->contact->methodOrder[10] = 'browse';
$lang->contact->methodOrder[15] = 'create';
$lang->contact->methodOrder[20] = 'edit';
$lang->contact->methodOrder[25] = 'view';
$lang->contact->methodOrder[30] = 'export';
$lang->contact->methodOrder[35] = 'delete';
$lang->contact->methodOrder[40] = 'vcard';
$lang->contact->methodOrder[55] = 'exportTemplate';

$lang->resource->leads = new stdclass();
$lang->resource->leads->assignedToNull = 'assignedToNull';
$lang->resource->leads->browse         = 'browse';
$lang->resource->leads->create         = 'create';
$lang->resource->leads->edit           = 'edit';
$lang->resource->leads->delete         = 'delete';
$lang->resource->leads->view           = 'view';
$lang->resource->leads->assign         = 'assign';
$lang->resource->leads->apply          = 'apply';
$lang->resource->leads->transform      = 'transform';
$lang->resource->leads->export         = 'export';
$lang->resource->leads->exportTemplate = 'exportTemplate';
$lang->resource->leads->import         = 'import';
$lang->resource->leads->showImport     = 'showImport';
$lang->resource->leads->ignore         = 'ignore';
$lang->resource->leads->batchIgnore    = 'batchIgnore';
$lang->resource->leads->batchAssign    = 'batchAssign';
$lang->resource->leads->setting        = 'settings';

$lang->leads->methodOrder[5]  = 'assignedToNull';
$lang->leads->methodOrder[10] = 'browse';
$lang->leads->methodOrder[15] = 'create';
$lang->leads->methodOrder[20] = 'edit';
$lang->leads->methodOrder[25] = 'delete';
$lang->leads->methodOrder[30] = 'view';
$lang->leads->methodOrder[35] = 'assign';
$lang->leads->methodOrder[40] = 'apply';
$lang->leads->methodOrder[45] = 'transform';
$lang->leads->methodOrder[50] = 'ignore';
$lang->leads->methodOrder[55] = 'batchAssign';
$lang->leads->methodOrder[60] = 'batchIgnore';
$lang->leads->methodOrder[65] = 'setting';

/* Product. */
$lang->resource->product = new stdclass();
$lang->resource->product->browse = 'browse';
$lang->resource->product->create = 'create';
$lang->resource->product->edit   = 'edit';
$lang->resource->product->view   = 'view';
$lang->resource->product->sort   = 'sort';
$lang->resource->product->delete = 'delete';

$lang->product->methodOrder[5]  = 'browse';
$lang->product->methodOrder[10] = 'create';
$lang->product->methodOrder[20] = 'edit';
$lang->product->methodOrder[35] = 'view';
$lang->product->methodOrder[40] = 'sort';
$lang->product->methodOrder[45] = 'delete';

/* Address. */
$lang->resource->address = new stdclass();
$lang->resource->address->browse = 'browse';
$lang->resource->address->create = 'create';
$lang->resource->address->edit   = 'edit';
$lang->resource->address->delete = 'delete';

$lang->address->methodOrder[5]  = 'browse';
$lang->address->methodOrder[10] = 'create';
$lang->address->methodOrder[15] = 'edit';
$lang->address->methodOrder[20] = 'delete';

/* Resume. */
$lang->resource->resume = new stdclass();
$lang->resource->resume->browse = 'browse';
$lang->resource->resume->create = 'create';
$lang->resource->resume->edit   = 'edit';
$lang->resource->resume->delete = 'delete';
$lang->resource->resume->leave  = 'leave';

$lang->resume->methodOrder[5]  = 'browse';
$lang->resume->methodOrder[10] = 'create';
$lang->resume->methodOrder[15] = 'edit';
$lang->resume->methodOrder[20] = 'delete';
$lang->resume->methodOrder[25] = 'leave';

/* Sales group. */
$lang->resource->sales = new stdclass();
$lang->resource->sales->admin  = 'admin';
$lang->resource->sales->browse = 'browse';
$lang->resource->sales->create = 'create';
$lang->resource->sales->edit   = 'edit';
$lang->resource->sales->delete = 'delete';

$lang->sales->methodOrder[5]  = 'admin';
$lang->sales->methodOrder[10] = 'browse';
$lang->sales->methodOrder[15] = 'create';
$lang->sales->methodOrder[20] = 'edit';
$lang->sales->methodOrder[25] = 'delete';

$lang->sales->methodOrder[5]  = 'admin';
$lang->sales->methodOrder[10] = 'browse';
$lang->sales->methodOrder[15] = 'create';
$lang->sales->methodOrder[20] = 'edit';
$lang->sales->methodOrder[25] = 'delete';

/* Product plan. */
$lang->resource->trade = new stdclass();
$lang->resource->trade->browse        = 'browse';
$lang->resource->trade->view          = 'view';
$lang->resource->trade->create        = 'create';
$lang->resource->trade->batchCreate   = 'batchCreate';
$lang->resource->trade->batchEdit     = 'batchEdit';
$lang->resource->trade->edit          = 'edit';
$lang->resource->trade->transfer      = 'transfer';
$lang->resource->trade->invest        = 'invest';
$lang->resource->trade->loan          = 'loan';
$lang->resource->trade->detail        = 'detail';
$lang->resource->trade->delete        = 'delete';
$lang->resource->trade->import        = 'import';
$lang->resource->trade->export        = 'export';
$lang->resource->trade->report        = 'report';
$lang->resource->trade->compare       = 'compare';
$lang->resource->trade->export2Excel  = 'export2Excel';
$lang->resource->trade->setReportUnit = 'setReportUnit';
$lang->resource->trade->tradeSetting  = 'settings';

$lang->trade->methodOrder[5]  = 'browse';
$lang->trade->methodOrder[10] = 'view';
$lang->trade->methodOrder[15] = 'create';
$lang->trade->methodOrder[20] = 'batchCreate';
$lang->trade->methodOrder[25] = 'batchEdit';
$lang->trade->methodOrder[30] = 'edit';
$lang->trade->methodOrder[35] = 'transfer';
$lang->trade->methodOrder[40] = 'invest';
$lang->trade->methodOrder[45] = 'loan';
$lang->trade->methodOrder[50] = 'detail';
$lang->trade->methodOrder[55] = 'delete';
$lang->trade->methodOrder[60] = 'import';
$lang->trade->methodOrder[70] = 'export';
$lang->trade->methodOrder[75] = 'report';
$lang->trade->methodOrder[80] = 'compare';
$lang->trade->methodOrder[85] = 'export2Excel';
$lang->trade->methodOrder[90] = 'setReportUnit';
$lang->trade->methodOrder[95] = 'tradeSetting';

/* Depositor. */
$lang->resource->depositor = new stdclass();
$lang->resource->depositor->browse      = 'browse';
$lang->resource->depositor->create      = 'create';
$lang->resource->depositor->edit        = 'edit';
$lang->resource->depositor->view        = 'view';
$lang->resource->depositor->forbid      = 'forbid';
$lang->resource->depositor->activate    = 'activate';
$lang->resource->depositor->check       = 'check';
$lang->resource->depositor->export      = 'export';
$lang->resource->depositor->savebalance = 'saveBalance';
$lang->resource->depositor->delete      = 'delete';

$lang->depositor->methodOrder[5]  = 'browse';
$lang->depositor->methodOrder[10] = 'create';
$lang->depositor->methodOrder[15] = 'edit';
$lang->depositor->methodOrder[16] = 'view';
$lang->depositor->methodOrder[20] = 'forbid';
$lang->depositor->methodOrder[25] = 'activate';
$lang->depositor->methodOrder[30] = 'check';
$lang->depositor->methodOrder[35] = 'export';
$lang->depositor->methodOrder[40] = 'saveBalance';
$lang->depositor->methodOrder[45] = 'delete';

/* Balance. */
$lang->resource->balance = new stdclass();
$lang->resource->balance->browse = 'browse';
$lang->resource->balance->create = 'create';
$lang->resource->balance->edit   = 'edit';
$lang->resource->balance->delete = 'delete';

$lang->balance->methodOrder[5]  = 'browse';
$lang->balance->methodOrder[10] = 'create';
$lang->balance->methodOrder[15] = 'edit';
$lang->balance->methodOrder[20] = 'delete';

/* Provider. */
$lang->resource->provider = new stdclass();
$lang->resource->provider->browse      = 'browse';
$lang->resource->provider->create      = 'create';
$lang->resource->provider->edit        = 'edit';
$lang->resource->provider->view        = 'view';
$lang->resource->provider->delete      = 'delete';
$lang->resource->provider->merge       = 'merge';
$lang->resource->provider->contact     = 'contact';
$lang->resource->provider->linkContact = 'linkContact';

$lang->provider->methodOrder[5]  = 'browse';
$lang->provider->methodOrder[10] = 'create';
$lang->provider->methodOrder[15] = 'edit';
$lang->provider->methodOrder[20] = 'view';
$lang->provider->methodOrder[25] = 'delete';
$lang->provider->methodOrder[30] = 'merge';
$lang->provider->methodOrder[35] = 'contact';
$lang->provider->methodOrder[40] = 'linkContact';

/* Schema. */
$lang->resource->schema = new stdclass();
$lang->resource->schema->browse = 'browse';
$lang->resource->schema->view   = 'view';
$lang->resource->schema->create = 'create';
$lang->resource->schema->edit   = 'edit';
$lang->resource->schema->delete = 'delete';

$lang->schema->methodOrder[5]  = 'browse';
$lang->schema->methodOrder[10] = 'create';
$lang->schema->methodOrder[15] = 'edit';
$lang->schema->methodOrder[20] = 'view';
$lang->schema->methodOrder[25] = 'delete';

/* Task. */
$lang->resource->task = new stdclass();
$lang->resource->task->viewAll   = 'viewAll';
$lang->resource->task->editAll   = 'editAll';
$lang->resource->task->deleteAll = 'deleteAll';

$lang->task->methodOrder[5]  = 'viewAll';
$lang->task->methodOrder[10] = 'editAll';
$lang->task->methodOrder[15] = 'deleteAll';

/* Project Kanban. */
$lang->resource->kanban = new stdclass();
$lang->resource->kanban->browse               = 'browse';
$lang->resource->kanban->browseArchivedTask   = 'browseArchivedTask';
$lang->resource->kanban->browseArchivedColumn = 'browseArchivedColumn';
$lang->resource->kanban->createRegion         = 'createRegion';
$lang->resource->kanban->editRegion           = 'editRegion';
$lang->resource->kanban->sortRegion           = 'sortRegion';
$lang->resource->kanban->deleteRegion         = 'deleteRegion';
$lang->resource->kanban->sortGroup            = 'sortGroup';
$lang->resource->kanban->createLane           = 'createLane';
$lang->resource->kanban->editLane             = 'editLane';
$lang->resource->kanban->sortLane             = 'sortLane';
$lang->resource->kanban->deleteLane           = 'deleteLane';
$lang->resource->kanban->createColumn         = 'createColumn';
$lang->resource->kanban->copyColumn           = 'copyColumn';
$lang->resource->kanban->editColumn           = 'editColumn';
$lang->resource->kanban->splitColumn          = 'splitColumn';
$lang->resource->kanban->setWIP               = 'WIP';
$lang->resource->kanban->archiveColumn        = 'archiveColumn';
$lang->resource->kanban->restoreColumn        = 'restoreColumn';
$lang->resource->kanban->deleteColumn         = 'deleteColumn';
$lang->resource->kanban->sortItem             = 'sortItem';

$lang->kanban->methodOrder[5]   = 'browse';
$lang->kanban->methodOrder[10]  = 'browseArchivedTask';
$lang->kanban->methodOrder[15]  = 'browseArchivedColumn';
$lang->kanban->methodOrder[20]  = 'createRegion';
$lang->kanban->methodOrder[25]  = 'editRegion';
$lang->kanban->methodOrder[30]  = 'sortRegion';
$lang->kanban->methodOrder[35]  = 'deleteRegion';
$lang->kanban->methodOrder[40]  = 'sortGroup';
$lang->kanban->methodOrder[45]  = 'createLane';
$lang->kanban->methodOrder[50]  = 'editLane';
$lang->kanban->methodOrder[55]  = 'sortLane';
$lang->kanban->methodOrder[60]  = 'deleteLane';
$lang->kanban->methodOrder[65]  = 'createColumn';
$lang->kanban->methodOrder[70]  = 'editColumn';
$lang->kanban->methodOrder[75]  = 'splitColumn';
$lang->kanban->methodOrder[80]  = 'setWIP';
$lang->kanban->methodOrder[85]  = 'archiveColumn';
$lang->kanban->methodOrder[90]  = 'restoreColumn';
$lang->kanban->methodOrder[95]  = 'deleteColumn';
$lang->kanban->methodOrder[100] = 'sortItem';

/* Announce. */
$lang->resource->announce = new stdclass();
$lang->resource->announce->browse = 'browse';
$lang->resource->announce->view   = 'view';
$lang->resource->announce->create = 'create';
$lang->resource->announce->edit   = 'edit';
$lang->resource->announce->delete = 'delete';

$lang->announce->methodOrder[5]  = 'browse';
$lang->announce->methodOrder[10] = 'view';
$lang->announce->methodOrder[15] = 'create';
$lang->announce->methodOrder[20] = 'edit';
$lang->announce->methodOrder[25] = 'delete';

/* Doc. */
$lang->resource->doc = new stdclass();
$lang->resource->doc->createLib   = 'createLib';
$lang->resource->doc->editLib     = 'editLib';
$lang->resource->doc->deleteLib   = 'deleteLib';
$lang->resource->doc->index       = 'index';
$lang->resource->doc->browse      = 'browse';
$lang->resource->doc->allLibs     = 'allLibs';
$lang->resource->doc->projectLibs = 'projectLibs';
$lang->resource->doc->showFiles   = 'showFiles';
$lang->resource->doc->create      = 'create';
$lang->resource->doc->edit        = 'edit';
$lang->resource->doc->view        = 'view';
$lang->resource->doc->delete      = 'delete';
$lang->resource->doc->sort        = 'sort';

$lang->doc->methodOrder[0]  = 'createLib';
$lang->doc->methodOrder[5]  = 'editLib';
$lang->doc->methodOrder[10] = 'deleteLib';
$lang->doc->methodOrder[15] = 'index';
$lang->doc->methodOrder[20] = 'browse';
$lang->doc->methodOrder[25] = 'allLibs';
$lang->doc->methodOrder[30] = 'projectLibs';
$lang->doc->methodOrder[35] = 'showFiles';
$lang->doc->methodOrder[40] = 'create';
$lang->doc->methodOrder[45] = 'edit';
$lang->doc->methodOrder[50] = 'view';
$lang->doc->methodOrder[55] = 'delete';
$lang->doc->methodOrder[60] = 'sort';

/* Attend */
$lang->resource->attend = new stdclass();
$lang->resource->attend->department       = 'department';
$lang->resource->attend->company          = 'company';
$lang->resource->attend->waitReview       = 'waitReview';
$lang->resource->attend->allReview        = 'allReview';
$lang->resource->attend->review           = 'review';
$lang->resource->attend->batchReview      = 'batchReview';
$lang->resource->attend->export           = 'export';
$lang->resource->attend->attendStat       = 'attendStat';
$lang->resource->attend->saveStat         = 'saveStat';
$lang->resource->attend->exportStat       = 'exportStat';
$lang->resource->attend->lateStat         = 'lateStat';
$lang->resource->attend->leaveStat        = 'leaveStat';
$lang->resource->attend->detail           = 'detail';
$lang->resource->attend->exportDetail     = 'exportDetail';
$lang->resource->attend->settings         = 'settings';
$lang->resource->attend->personalSettings = 'personalSettings';
$lang->resource->attend->setManager       = 'setManager';

$lang->attend->methodOrder[5]  = 'department';
$lang->attend->methodOrder[10] = 'company';
$lang->attend->methodOrder[15] = 'waitReview';
$lang->attend->methodOrder[16] = 'allReview';
$lang->attend->methodOrder[20] = 'review';
$lang->attend->methodOrder[25] = 'export';
$lang->attend->methodOrder[30] = 'attendStat';
$lang->attend->methodOrder[35] = 'saveStat';
$lang->attend->methodOrder[40] = 'exportStat';
$lang->attend->methodOrder[41] = 'lateStat';
$lang->attend->methodOrder[42] = 'leaveStat';
$lang->attend->methodOrder[45] = 'detail';
$lang->attend->methodOrder[60] = 'exportDetail';
$lang->attend->methodOrder[65] = 'settings';
$lang->attend->methodOrder[70] = 'personalSettings';
$lang->attend->methodOrder[75] = 'setManager';

/* Attend Group */
$lang->resource->attendgroup = new stdclass();
$lang->resource->attendgroup->browse = 'browse';
$lang->resource->attendgroup->create = 'create';
$lang->resource->attendgroup->edit   = 'edit';
$lang->resource->attendgroup->delete = 'delete';

if(isset($lang->attendgroup)) $lang->attendgroup = new stdclass();
$lang->attendgroup->methodOrder[5]  = 'browse';
$lang->attendgroup->methodOrder[10] = 'create';
$lang->attendgroup->methodOrder[15] = 'edit';
$lang->attendgroup->methodOrder[20] = 'delete';

/* Annual Leave */
$lang->resource->annual = new stdclass();
$lang->resource->annual->all  = 'all';
$lang->resource->annual->edit = 'edit';

if(isset($lang->annual)) $lang->annual = new stdclass();
$lang->annual->methodOrder[5]  = 'all';
$lang->annual->methodOrder[10] = 'edit';

/* Annual Conversion */
$lang->resource->conversion = new stdclass();
$lang->resource->conversion->all    = 'all';
$lang->resource->conversion->review = 'review';
$lang->resource->conversion->grant  = 'grant';

if(isset($lang->conversion)) $lang->conversion = new stdclass();
$lang->conversion->methodOrder[5]  = 'all';
$lang->conversion->methodOrder[10] = 'review';
$lang->conversion->methodOrder[15] = 'grant';

/* Leave */
$lang->resource->leave = new stdclass();
$lang->resource->leave->browseReview           = 'browseReview';
$lang->resource->leave->myReviewed             = 'myReviewed';
$lang->resource->leave->company                = 'company';
$lang->resource->leave->review                 = 'review';
$lang->resource->leave->batchReview            = 'batchReview';
$lang->resource->leave->export                 = 'export';
$lang->resource->leave->setReviewer            = 'setReviewer';

$lang->leave->methodOrder[0]  = 'browseReview';
$lang->leave->methodOrder[3]  = 'myReviewed';
$lang->leave->methodOrder[5]  = 'company';
$lang->leave->methodOrder[10] = 'review';
$lang->leave->methodOrder[15] = 'batchReview';
$lang->leave->methodOrder[20] = 'export';
$lang->leave->methodOrder[25] = 'setReviewer';

/* Overtime */
$lang->resource->makeup = new stdclass();
$lang->resource->makeup->browseReview = 'browseReview';
$lang->resource->makeup->myReviewed   = 'myReviewed';
$lang->resource->makeup->company      = 'company';
$lang->resource->makeup->review       = 'review';
$lang->resource->makeup->batchReview  = 'batchReview';
$lang->resource->makeup->export       = 'export';
$lang->resource->makeup->setReviewer  = 'setReviewer';

$lang->makeup->methodOrder[0]  = 'browseReview';
$lang->makeup->methodOrder[3]  = 'myReviewed';
$lang->makeup->methodOrder[5]  = 'company';
$lang->makeup->methodOrder[10] = 'review';
$lang->makeup->methodOrder[15] = 'batchReview';
$lang->makeup->methodOrder[20] = 'export';
$lang->makeup->methodOrder[25] = 'setReviewer';

/* Overtime */
$lang->resource->overtime = new stdclass();
$lang->resource->overtime->browseReview = 'browseReview';
$lang->resource->overtime->myReviewed   = 'myReviewed';
$lang->resource->overtime->company      = 'company';
$lang->resource->overtime->review       = 'review';
$lang->resource->overtime->batchReview  = 'batchReview';
$lang->resource->overtime->export       = 'export';
$lang->resource->overtime->setReviewer  = 'setReviewer';

$lang->overtime->methodOrder[0]  = 'browseReview';
$lang->overtime->methodOrder[3]  = 'myReviewed';
$lang->overtime->methodOrder[5]  = 'company';
$lang->overtime->methodOrder[10] = 'review';
$lang->overtime->methodOrder[15] = 'batchReview';
$lang->overtime->methodOrder[20] = 'export';
$lang->overtime->methodOrder[25] = 'setReviewer';

/* Lieu */
$lang->resource->lieu = new stdclass();
$lang->resource->lieu->browseReview     = 'browseReview';
$lang->resource->lieu->myReviewed       = 'myReviewed';
$lang->resource->lieu->company          = 'company';
$lang->resource->lieu->review           = 'review';
$lang->resource->lieu->batchReview      = 'batchReview';
$lang->resource->lieu->conversion       = 'browseConversion';
$lang->resource->lieu->balance          = 'browseBalance';
$lang->resource->lieu->createConversion = 'createConversion';
$lang->resource->lieu->setReviewer      = 'setReviewer';

$lang->lieu->methodOrder[0]  = 'browseReview';
$lang->lieu->methodOrder[3]  = 'myReviewed';
$lang->lieu->methodOrder[5]  = 'company';
$lang->lieu->methodOrder[10] = 'review';
$lang->lieu->methodOrder[15] = 'batchReview';
$lang->lieu->methodOrder[17] = 'balance';
$lang->lieu->methodOrder[18] = 'conversion';
$lang->lieu->methodOrder[19] = 'createConversion';
$lang->lieu->methodOrder[20] = 'setReviewer';

/* Trip */
$lang->resource->trip = new stdclass();
$lang->resource->trip->browseReview = 'browseReview';
$lang->resource->trip->department   = 'department';
$lang->resource->trip->company      = 'company';
$lang->resource->trip->setReviewer  = 'setReviewer';
$lang->resource->trip->review       = 'review';

$lang->trip->methodOrder[0]  = 'browseReview';
$lang->trip->methodOrder[3]  = 'department';
$lang->trip->methodOrder[5]  = 'company';
$lang->trip->methodOrder[10] = 'review';
$lang->trip->methodOrder[15] = 'setReviewer';

/* Egress */
$lang->resource->egress = new stdclass();
$lang->resource->egress->browseReview = 'browseReview';
$lang->resource->egress->department   = 'department';
$lang->resource->egress->company      = 'company';
$lang->resource->egress->setReviewer  = 'setReviewer';
$lang->resource->egress->review       = 'review';

$lang->egress->methodOrder[0]  = 'browseReview';
$lang->egress->methodOrder[3]  = 'department';
$lang->egress->methodOrder[5]  = 'company';
$lang->egress->methodOrder[10] = 'review';
$lang->egress->methodOrder[15] = 'setReviewer';

/* Refund */
$lang->resource->refund = new stdclass();
$lang->resource->refund->company          = 'company';
$lang->resource->refund->todo             = 'todo';
$lang->resource->refund->browseReview     = 'browseReview';
$lang->resource->refund->review           = 'review';
$lang->resource->refund->reimburse        = 'reimburse';
$lang->resource->refund->setReviewer      = 'setReviewer';
$lang->resource->refund->setCategory      = 'setCategory';
$lang->resource->refund->setDepositor     = 'setDepositor';
$lang->resource->refund->setRefundBy      = 'setRefundBy';
$lang->resource->refund->export           = 'export';

$lang->refund->methodOrder[10] = 'company';
$lang->refund->methodOrder[15] = 'todo';
$lang->refund->methodOrder[20] = 'browseReview';
$lang->refund->methodOrder[25] = 'review';
$lang->refund->methodOrder[30] = 'reimburse';
$lang->refund->methodOrder[35] = 'setReviewer';
$lang->refund->methodOrder[40] = 'setCategory';
$lang->refund->methodOrder[45] = 'setDepositor';
$lang->refund->methodOrder[50] = 'setRefundBy';
$lang->refund->methodOrder[55] = 'export';

/* Holiday */
$lang->resource->holiday = new stdclass();
$lang->resource->holiday->create = 'create';
$lang->resource->holiday->edit   = 'edit';
$lang->resource->holiday->delete = 'delete';

$lang->holiday->methodOrder[0]  = 'create';
$lang->holiday->methodOrder[5]  = 'edit';
$lang->holiday->methodOrder[10] = 'delete';

/* Forum. */
$lang->resource->forum = new stdclass();
$lang->resource->forum->index  = 'index';
$lang->resource->forum->board  = 'board';

$lang->forum->methodOrder[0]  = 'index';
$lang->forum->methodOrder[5]  = 'board';

/* Thread. */
$lang->resource->thread = new stdclass();
$lang->resource->thread->post         = 'post';
$lang->resource->thread->edit         = 'edit';
$lang->resource->thread->view         = 'view';
$lang->resource->thread->delete       = 'delete';
$lang->resource->thread->stick        = 'stick';
$lang->resource->thread->deleteFile   = 'deleteFile';

$lang->thread->methodOrder[0]  = 'post';
$lang->thread->methodOrder[5]  = 'edit';
$lang->thread->methodOrder[10] = 'view';
$lang->thread->methodOrder[20] = 'delete';
$lang->thread->methodOrder[30] = 'stick';
$lang->thread->methodOrder[35] = 'deleteFile';

/* Blog. */
$lang->resource->blog = new stdclass();
$lang->resource->blog->index  = 'index';
$lang->resource->blog->create = 'create';
$lang->resource->blog->edit   = 'edit';
$lang->resource->blog->view   = 'view';
$lang->resource->blog->delete = 'delete';

$lang->blog->methodOrder[0]   = 'index';
$lang->blog->methodOrder[5]   = 'create';
$lang->blog->methodOrder[10]  = 'edit';
$lang->blog->methodOrder[15]  = 'view';
$lang->blog->methodOrder[20]  = 'delete';

/* User. */
$lang->resource->user = new stdclass();
$lang->resource->user->colleague = 'colleague';

$lang->user->methodOrder[5] = 'colleague';

/* Company. */
$lang->resource->company = new stdclass();
$lang->resource->company->setBasic = 'setBasic';

$lang->company->methodOrder[10] = 'setBasic';

/* Action. */
$lang->resource->action = new stdclass();
$lang->resource->action->finishAllDating = 'finishAllDating';
$lang->resource->action->deleteAllDating = 'deleteAllDating';
$lang->resource->action->createComment   = 'createComment';
$lang->resource->action->eidtComment     = 'editComment';

$lang->action->methodOrder[5]  = 'finishAllDating';
$lang->action->methodOrder[10] = 'deleteAllDating';
$lang->action->methodOrder[15] = 'createComment';
$lang->action->methodOrder[20] = 'editComment';

/* Tree. */
$lang->resource->tree = new stdclass();
$lang->resource->tree->browse   = 'browse';
$lang->resource->tree->edit     = 'edit';
$lang->resource->tree->children = 'children';
$lang->resource->tree->delete   = 'delete';
$lang->resource->tree->merge    = 'merge';

$lang->tree->methodOrder[0]  = 'browse';
$lang->tree->methodOrder[5]  = 'edit';
$lang->tree->methodOrder[10] = 'children';
$lang->tree->methodOrder[15] = 'delete';
$lang->tree->methodOrder[20] = 'merge';

/* File. */
$lang->resource->file = new stdclass();
$lang->resource->file->upload   = 'upload';
$lang->resource->file->download = 'download';
$lang->resource->file->edit     = 'edit';
$lang->resource->file->delete   = 'delete';

$lang->file->methodOrder[0]  = 'upload';
$lang->file->methodOrder[5]  = 'download';
$lang->file->methodOrder[10] = 'edit';
$lang->file->methodOrder[15] = 'delete';

/* Setting. */
$lang->resource->setting = new stdclass();
$lang->resource->setting->lang         = 'lang';
$lang->resource->setting->reset        = 'reset';
$lang->resource->setting->customerPool = 'customerPool';
$lang->resource->setting->modules      = 'modules';

$lang->setting->methodOrder[5]  = 'lang';
$lang->setting->methodOrder[10] = 'reset';
$lang->setting->methodOrder[15] = 'customerPool';
$lang->setting->methodOrder[20] = 'modules';

/* Report. */
$lang->resource->report = new stdclass();
$lang->resource->report->browse = 'browse';

$lang->report->methodOrder[5] = 'browse';

/* My. */
$lang->resource->my = new stdclass();
$lang->resource->my->company = 'company';

$lang->my->methodOrder[5] = 'company';

$lang->resource->score = new stdclass();
$lang->resource->score->allGrant     = 'allGrant';
$lang->resource->score->myGrant      = 'grantBrowse';
$lang->resource->score->grantCommon  = 'grantCommon';
$lang->resource->score->grantBonus   = 'grantBonus';
$lang->resource->score->giveService  = 'giveService';
$lang->resource->score->myReview     = 'reviewBrowse';
$lang->resource->score->pass         = 'pass';
$lang->resource->score->batchPass    = 'batchPass';
$lang->resource->score->reject       = 'reject';
$lang->resource->score->rule         = 'scoreRule';
$lang->resource->score->createRule   = 'createRule';
$lang->resource->score->editRule     = 'editRule';
$lang->resource->score->deleteRule   = 'deleteRule';
$lang->resource->score->report       = 'report';
$lang->resource->score->setReviewer  = 'setReviewer';
$lang->resource->score->setSect      = 'setSect';
$lang->resource->score->setLevel     = 'setLevel';
$lang->resource->score->rank         = 'rank';

$lang->score->methodOrder[5]  = 'allGrant';
$lang->score->methodOrder[10] = 'myGrant';
$lang->score->methodOrder[15] = 'grantCommon';
$lang->score->methodOrder[20] = 'grantBonus';
$lang->score->methodOrder[25] = 'giveService';
$lang->score->methodOrder[30] = 'myReview';
$lang->score->methodOrder[35] = 'pass';
$lang->score->methodOrder[40] = 'batchPass';
$lang->score->methodOrder[45] = 'reject';
$lang->score->methodOrder[50] = 'rule';
$lang->score->methodOrder[55] = 'createRule';
$lang->score->methodOrder[60] = 'editRule';
$lang->score->methodOrder[64] = 'deleteRule';
$lang->score->methodOrder[65] = 'rank';
$lang->score->methodOrder[70] = 'report';
$lang->score->methodOrder[75] = 'setReviewer';
$lang->score->methodOrder[80] = 'setSect';
$lang->score->methodOrder[85] = 'setLevel';

$lang->resource->gift = new stdclass();
$lang->resource->gift->browse = 'browse';
$lang->resource->gift->manage = 'manage';
$lang->resource->gift->create = 'create';
$lang->resource->gift->edit   = 'edit';
$lang->resource->gift->view   = 'view';
$lang->resource->gift->delete = 'delete';

$lang->gift->methodOrder[5]  = 'browse';
$lang->gift->methodOrder[10] = 'manage';
$lang->gift->methodOrder[15] = 'create';
$lang->gift->methodOrder[20] = 'edit';
$lang->gift->methodOrder[25] = 'view';
$lang->gift->methodOrder[30] = 'delete';

$lang->resource->exchange = new stdclass();
$lang->resource->exchange->my      = 'my';
$lang->resource->exchange->toGrant = 'toGrant';
$lang->resource->exchange->all     = 'all';
$lang->resource->exchange->create  = 'create';
$lang->resource->exchange->grant   = 'grant';
$lang->resource->exchange->cancel  = 'cancel';
$lang->resource->exchange->finish  = 'finish';

$lang->exchange->methodOrder[5]  = 'my';
$lang->exchange->methodOrder[10] = 'toGrant';
$lang->exchange->methodOrder[15] = 'all';
$lang->exchange->methodOrder[20] = 'create';
$lang->exchange->methodOrder[25] = 'grant';
$lang->exchange->methodOrder[30] = 'cancel';
$lang->exchange->methodOrder[35] = 'finish';

/* Admin User. */
$lang->resource->adminUser = new stdclass();
$lang->resource->adminUser->admin          = 'admin';
$lang->resource->adminUser->create         = 'create';
$lang->resource->adminUser->batchCreate    = 'batchCreate';
$lang->resource->adminUser->edit           = 'edit';
$lang->resource->adminUser->sort           = 'sort';
$lang->resource->adminUser->delete         = 'delete';
$lang->resource->adminUser->forbid         = 'forbid';
$lang->resource->adminUser->active         = 'active';
$lang->resource->adminUser->exportTemplate = 'exportTemplate';
$lang->resource->adminUser->import         = 'import';

$lang->adminUser->methodOrder[10] = 'admin';
$lang->adminUser->methodOrder[15] = 'create';
$lang->adminUser->methodOrder[20] = 'batchCreate';
$lang->adminUser->methodOrder[25] = 'edit';
$lang->adminUser->methodOrder[30] = 'sort';
$lang->adminUser->methodOrder[35] = 'delete';
$lang->adminUser->methodOrder[40] = 'forbid';
$lang->adminUser->methodOrder[45] = 'active';
$lang->adminUser->methodOrder[50] = 'exportTemplate';
$lang->adminUser->methodOrder[55] = 'import';

/* Cron. */
$lang->resource->cron = new stdclass();
$lang->resource->cron->index  = 'index';
$lang->resource->cron->create = 'create';
$lang->resource->cron->edit   = 'edit';
$lang->resource->cron->delete = 'delete';
$lang->resource->cron->turnon = 'turnon';
$lang->resource->cron->toggle = 'toggle';

$lang->cron->methodOrder[10] = 'index';
$lang->cron->methodOrder[15] = 'create';
$lang->cron->methodOrder[20] = 'edit';
$lang->cron->methodOrder[25] = 'delete';
$lang->cron->methodOrder[30] = 'turnon';
$lang->cron->methodOrder[35] = 'toggle';

/* Every version of new privilege. */
$lang->changelog = array();
//$lang->changelog['1.1'][]   = 'search-saveQuery';
